org.keycloak.migration.migrators

## Class MigrationUtils

- java.lang.Object
- - org.keycloak.migration.migrators.MigrationUtils

-     public class MigrationUtils
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MigrationUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addAdminRole(RealmModel realm, String roleName)`
    `static boolean` | `isOIDCNonBearerOnlyClient(ClientModel c)`
    `static void` | `migrateOldOfflineToken(KeycloakSession session, RealmModel realm, ClientModel client, UserModel user)`
    `static void` | `setDefaultClientAuthenticatorType(ClientModel s)`
    `static void` | `updateOTPRequiredAction(RequiredActionProviderModel otpAction)`
    `static void` | `updateProtocolMappers(ProtocolMapperContainerModel client)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MigrationUtils

          public MigrationUtils()

  - ### Method Detail

    - #### addAdminRole

          public static void addAdminRole(RealmModel realm,
                                          String roleName)

    - #### updateOTPRequiredAction

          public static void updateOTPRequiredAction(RequiredActionProviderModel otpAction)

    - #### updateProtocolMappers

          public static void updateProtocolMappers(ProtocolMapperContainerModel client)

    - #### migrateOldOfflineToken

          public static void migrateOldOfflineToken(KeycloakSession session,
                                                    RealmModel realm,
                                                    ClientModel client,
                                                    UserModel user)
                                             throws OAuthErrorException

      Throws:
        `OAuthErrorException`

    - #### setDefaultClientAuthenticatorType

          public static void setDefaultClientAuthenticatorType(ClientModel s)

    - #### isOIDCNonBearerOnlyClient

          public static boolean isOIDCNonBearerOnlyClient(ClientModel c)

Copyright © 2020 JBoss by Red Hat. All rights reserved.